<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">

<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" >
	<script>
//		window.onload = function () {
		window.addEventListener('load', function(){			// 8.3.0.0 (2022/08/01)
			var timer1 = null;
			var cnt = 0;
			var url = location.href.substring( 0,location.href.indexOf( '/jsp' ) );

			var elem = document.getElementById("msg");

			var msgFunc = function () {
				elem.innerText = "【" + cnt + "】　再起動中です。";
			};

			function event() {
				cnt++;

				var request = new XMLHttpRequest();
				var day = new Date();				// ｷｬｯｼｭされてるようなので、ﾊﾟﾗﾒｰﾀを与える。
				request.open('GET', url + '/jsp/common/dummy.html?time=' + day.getTime(), true);
				request.timeout = 500;				// ﾀｲﾑｱｳﾄ設定(ms) ： open ～ send の間に設定する。

				request.onload = function () {
	//				var data = this.response;
					elem.innerText = "【" + cnt + "】　起動しました。" ;

					if( cnt &gt;= 5 ) {				// 5回以上で正常の場合は、タイマーを停止する
						clearInterval( timer1 );
						location.href = url + '/jsp/admin?COMMAND=infomation' ;
					}
				};

				request.onerror   = msgFunc ;
				request.onabort   = msgFunc ;
				request.ontimeout = msgFunc ;

				request.send();
			}

			// タイマー開始
			timer1 = setInterval(event, 3000);
		} );
	</script>
</og:head>

<div id="msg"> </div>

<br />
<og:shell debug="false"
	program	= "start serviceRestart.bat"
	action	= "RUN"
	workDir	= "{@SYS.REAL_PATH}/../../bin/service"
	useBatch= "true"
	wait	= "false"
	useStop	= "false"
	display	= "true"
/>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
